### Method

# Foundry LlmConversation set_tools

#### Declaration [src]

    void
    foundry_llm_conversation_set_tools (
      FoundryLlmConversation* self,
      GListModel* tools
    )

#### Description [src]

Set the tools that are allowed to be used by the model.

Sets property | `Foundry.LlmConversation:tools`

#### Parameters

`tools`

  Type: `GObject`

  A list model of `FoundryLlmTool`.

  The data is owned by the caller of the method.